public class Square
{
    public int callByVal(int x)
    {
        return x * x;
    }

    public int callByRef(ref int x)
    {
        return x * x;
    }

    public int callByOut(out int x)
    {
        //x = 3;
        return x * x;
    }
}

